A => README.md +1 -0
@@ 1,1 @@
+# .bin: Collection small utility programs
A => delbr.sh +18 -0
@@ 1,18 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+GIT=/usr/bin/git
+
+if [[ $# -eq 0 ]]
+then
+ echo "error: No branch provided"
+ exit 1
+fi
+
+branch="$1"
+
+echo ">>> $GIT branch -d ${branch}"
+$GIT branch -d "${branch}"
+
+echo ">>> $GIT push origin :${branch}"
+$GIT push origin ":${branch}"
A => +10 -0
@@ 1,10 @@
#!/usr/bin/env bash
set -euo pipefail
# Does lpass to get a list of passwords, and copies the selected one to the clipboard
lpass ls --color=never \
| sed -e '/.*\/ \[id:/d' -e 's,.*/\(.*\),\1,' \
| dmenu -l 10 -sb green -sf black \
| sed 's/.*\[id: \(.*\)\]/\1/' \
| xargs lpass show --password -c
A => mon-switch +32 -0
@@ 1,32 @@
+#!/usr/bin/env bash
+
+case "$1" in
+ default)
+ # TODO: Default should be eDP-1 on, everything else off
+ xrandr --output HDMI-2 --off --output eDP-1 --auto --primary
+ ;;
+ desk-left)
+ xrandr --output HDMI-2 --auto --left-of eDP-1 --output eDP-1 --auto --primary
+ ;;
+ desk-right)
+ xrandr --output HDMI-2 --auto --right-of eDP-1 --primary --output eDP-1 --auto
+ ;;
+ desk-above)
+ xrandr --output HDMI-2 --auto --above eDP-1 --output eDP-1 --auto --primary
+ ;;
+ external)
+ xrandr --output HDMI-2 --auto --primary --output eDP-1 --off
+ ;;
+ dual)
+ xrandr --output HDMI-2 --auto --primary --output DP-1 --auto --left-of HDMI-2 --output eDP-1 --off
+ ;;
+ dual-off)
+ xrandr --output DP-1 --off --output HDMI-2 --off --output eDP-1 --auto --primary
+ ;;
+ homeoffice)
+ # This is the daisy-chained DisplayPort Dell monitors through USB-C
+ xrandr --output DP-1-8 --mode 2560x1440 --primary --output DP-1-1 --mode 2560x1440 --left-of DP-1-8 --output eDP-1 --off
+ ;;
+ *)
+ echo "Argument '$1' not recognized"
+esac
A => shrug +3 -0
@@ 1,3 @@
+#!/usr/bin/env sh
+
+printf '¯\_(ツ)_/¯'